package com.miaxis.exam.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.exam.domain.ExamInfo;
import com.miaxis.exam.dto.ExamInfoDto;
import com.miaxis.exam.mapper.ExamInfoMapper;
import com.miaxis.exam.service.IExamInfoService;
import com.miaxis.exam.vo.ExamInfoVipVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 考场信息Service业务层处理
 *
 * @author miaxis
 * @date 2023-03-20
 */
@Service
public class ExamInfoServiceImpl extends ServiceImpl<ExamInfoMapper, ExamInfo> implements IExamInfoService {
    @Autowired
    private ExamInfoMapper examInfoMapper;

    /**
     * 查询考场信息列表
     *
     * @param examInfoDto 考场信息
     * @return 考场信息
     */
    @Override
    public List<ExamInfoVipVo> selectExamInfoList(ExamInfoDto examInfoDto){
        return examInfoMapper.selectExamInfoList(examInfoDto);
    }


}
