package com.miaxis.exam.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 考场信息对象 exam_info
 *
 * @author miaxis
 * @date 2023-03-20
 */
@Data
@ApiModel(value = "ExamInfoVipVO", description = "考场信息返回对象")
public class ExamInfoVipVo  {

    @ApiModelProperty(value = "id")
    private Long id;

    /** 考场名称 */
    @ApiModelProperty(value = "考场名称")
    private String name;

    /** 考场图片 */
    @ApiModelProperty(value = "考场图片")
    private String image;

    /** 省份ID */
    @ApiModelProperty(value = "省份ID")
    private String provinceId;

    /** 省份名称 */
    @ApiModelProperty(value = "省份名称")
    private String province;

    /** 城市ID */
    @ApiModelProperty(value = "城市ID")
    private String cityId;

    /** 城市名称 */
    @ApiModelProperty(value = "城市名称")
    private String city;

    /** 城市名称 */
    @ApiModelProperty(value = "价格")
    private Integer price;

    /** 课程数 */
    @ApiModelProperty(value = "课程数")
    private transient Integer videoCount;

    /** 用户ID */
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /** 到期时间 */
    @ApiModelProperty(value = "到期时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" )
    private Date expirationTime;

    @ApiModelProperty(value = "是否VIP")
    private Integer isVip;

    @ApiModelProperty(value = "签名")
    private String sign;


}
