package com.miaxis.examvip.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 考场视频对象 vip_exam_video
 *
 * @author miaxis
 * @date 2023-03-20
 */
@Data
@TableName("vip_exam_video")
@ApiModel(value = "VipExamVideo", description = "考场视频对象 vip_exam_video")
public class VipExamVideo extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /** 视频名称 */
    @Excel(name = "视频名称")
    @TableField("video_name")
    @ApiModelProperty(value = "视频名称")
    private String videoName;

    /** 视频封面 */
    @Excel(name = "视频封面")
    @TableField("video_cover")
    @ApiModelProperty(value = "视频封面")
    private String videoCover;

    /** 视频地址 */
    @Excel(name = "视频地址")
    @TableField("video_url")
    @ApiModelProperty(value = "视频地址")
    private String videoUrl;

    /** 1:科目一 2:科目二 3：科目三 4:科目四 */
    @Excel(name = "1:科目一 2:科目二 3：科目三 4:科目四")
    @TableField("video_subject")
    @ApiModelProperty(value = "1:科目一 2:科目二 3：科目三 4:科目四")
    private Long videoSubject;

    /** 0未开启 1已开启 */
    @Excel(name = "0未开启 1已开启")
    @TableField("state")
    @ApiModelProperty(value = "0未开启 1已开启")
    private Long state;

    /** 0:竖  1:横 */
    @Excel(name = "0:竖  1:横")
    @TableField("horizontal")
    @ApiModelProperty(value = "0:竖  1:横")
    private Long horizontal;

    /** 省份ID */
    @Excel(name = "省份ID")
    @TableField("province_id")
    @ApiModelProperty(value = "省份ID")
    private String provinceId;

    /** 地区ID */
    @Excel(name = "地区ID")
    @TableField("city_id")
    @ApiModelProperty(value = "地区ID")
    private String cityId;

    /** 省份名称 */
    @Excel(name = "省份名称")
    @TableField("province")
    @ApiModelProperty(value = "省份名称")
    private String province;

    /** 地区名称 */
    @Excel(name = "地区名称")
    @TableField("city")
    @ApiModelProperty(value = "地区名称")
    private String city;

    /** 考场编号 */
    @Excel(name = "考场编号")
    @TableField("exam_id")
    @ApiModelProperty(value = "考场编号")
    private Long examId;

    /** 考场名称 */
    @Excel(name = "考场名称")
    @TableField("exam_name")
    @ApiModelProperty(value = "考场名称")
    private String examName;

    /** 观看模式 0:免费 1:试看20秒  2:会员 */
    @Excel(name = "观看模式")
    @TableField("exam_name")
    @ApiModelProperty(value = "观看模式 0:免费 1:试看20秒  2:会员")
    private Integer permission;


}
