package com.miaxis.examvip.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 考场会员对象 vip_user_exam
 *
 * @author miaxis
 * @date 2023-03-20
 */
@Data
@TableName("vip_user_exam")
@ApiModel(value = "VipUserExam", description = "考场会员对象 vip_user_exam")
public class VipUserExam extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    @TableField("user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /** 姓名 */
    @Excel(name = "姓名")
    @TableField("name")
    @ApiModelProperty(value = "姓名")
    private String name;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    @TableField("logincode")
    @ApiModelProperty(value = "身份证号码")
    private String logincode;


    /** 考场ID */
    @Excel(name = "考场ID")
    @TableField("exam_id")
    @ApiModelProperty(value = "考场ID")
    private Long examId;

    /** 考场名称 */
    @Excel(name = "考场名称")
    @TableField("exam_name")
    @ApiModelProperty(value = "考场名称")
    private String examName;

    /** 到期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "到期时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("expiration_time")
    @ApiModelProperty(value = "到期时间")
    private Date expirationTime;

    @ApiModelProperty(value = "是否VIP")
    private Integer isVip;

    @ApiModelProperty(value = "到期时间")
    private String sign;


}
